package main

import (
  "bufio"
  "os"
  "fmt"
)

/* Programma che riceve da riga di comando il nome di un file e lo legge (e stampa sullo schermo) una riga per volta */
func main() {
  nomeSorgente := os.Args[1]

  sorgente, err := os.Open(nomeSorgente)
  defer sorgente.Close()
  if err != nil {
    fmt.Println("Errore di apertura del file sorgente! ", err)
    os.Exit(1)
  }

  scanner := bufio.NewScanner(sorgente)
  for scanner.Scan() {
    riga := scanner.Text()
    fmt.Println(riga)
  }

}
